package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractFirstTemplateConditionVo;

import java.util.List;

/**
 * <p>
 * 销售合同变更-模板初审表
 * </p>
 *
 * @author yafan
 * @since 2024-01-09
 */
@TableName("sales_contract_supplement_template_first_approval_info")
public class SalesContractSupplementTemplateFirstApprovalInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    @TableField(exist = false)
    private List<SalesContractFirstTemplateConditionVo> approvalConditions;

    @TableField(exist = false)
    private List<String> comments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private String businessKey;

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public List<SalesContractFirstTemplateConditionVo> getApprovalConditions() {
        return approvalConditions;
    }

    public void setApprovalConditions(List<SalesContractFirstTemplateConditionVo> approvalConditions) {
        this.approvalConditions = approvalConditions;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<String> getComments() {
        return comments;
    }

    public void setComments(List<String> comments) {
        this.comments = comments;
    }

    public String getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementTemplateFirstApprovalInfo{" +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", approvalConclusion=" + approvalConclusion +

                "}";
    }
}
